BLK_END_REQUEST_CUR(9)

NAME
blk_end_request_cur - Helper function to finish the current request chunk.

SYNOPSIS

bool blk_end_request_cur(struct request * rq, int error);

ARGUMENTS

rq
    the request to finish the current chunk for

error
    0 for success, < 0 for error

DESCRIPTION

Complete the current consecutively mapped chunk from rq.

RETURN

false - we are done with this request true - still buffers pending for this request

COPYRIGHT